Sponsored Links

Sponsored Links

LV2 Loader PS3 Homebrew Application Arrives from Rebug Team


Sponsored Links
128w ago - Today the Rebug Team have made available a LV2 Loader PKG PS3 homebrew application for PlayStation 3 developers.

Download: [Register or Login to view links]

To quote: LV2 Loader is a tool for devs to allow the quick testing of modified lv2_kernel.self by launching it from the root of dev_flash without the risk of bricking the PS3 or need for a flasher if the new kernel does not work.

The app will run on any 3.15, 3.41, 3.55 CEX or DEX firmware that has lv1 mmap and lv2 peek and poke patches. It also has udp_printf support which will return the offset of the lv2 boot path in lv1 and a little bit of info about what it is doing.

It works by searching lv1 memory for the lv2_kernel.self boot path then modifying it to point to the root of dev_flash instead. After it finishes searching and patching the path LV2 Loader will reboot lv2 gameos without rebooting lv1.

If the app has already been ran once and the user attempts to run it again before rebooting lv1 or the current lv2 kernel does not have peek and poke it will return you to the XMB.

PREPARATION:

Using FTP or multiMAN/file manager place your modified lv2_kernel.self into the root of dev_flash on your PS3.

HOW TO USE:

1: Install lv2_loader.pkg
2: Run LV2 Loader from XMB
3: PS3 will beep and reboot. (If you do not hear a beep it has not worked)

NOTE: As long as you do not reboot lv1 you can continue to use the new path and change the lv2_kernel.self each time if you wish.

F.A.Q:

Q: Can LV2 Loader boot DEX lv2_kernel.self?
A: YES. It will require your PS3 to be QA flagged. Don’t be fooled though. Just because you can boot the DEX lv2 kernel does not mean it will magically function like a DEX. For that to happen it will require more patching but this certainly makes the road easier to figuring it out.

Q: Can LV2 Loader boot lv2_kernel.self from a higher firmware?
A: In testing, booting a 3.56 lv2 kernel resigned for 3.55 worked without any problems. Keep in mind that amongst other things, the ps3 is still using the lower firmware’s appldr so there is no real advantage to doing this at the moment.

Q: Can this brick my PS3?
A: NO, NO, NO. The whole point of LV2 Loader is to prevent this from happening during your development of lv2 patches.

Q: Isn’t the offset for the lv2 boot path the same for all PS3?
A: NO. In testing on five different PS3 we came across seven dramaticly different offsets. Infact one of the PS3 at one stage or another in testing used four of the same offsets as the others and has now returned to the original offset from when we started.

Q: How do I reboot the PS3 without rebooting lv1 hypervisor?
A: Using glevend’s Reboot app will let you reboot the PS3 and maintain the modified lv2 boot path. As a bonus for REBUG users when changing modes with Rebug Selector the PS3 will reboot from the new path as well.

Q: As a user of REBUG firmware, if I boot the DEX lv2 kernel does that mean I am running DEX firmware on a retail PS3?
A: YES. REBUG uses the entire DEX firmware apart from 3 or 4 sprx (to allow QA flag support mainly) and uses the CEX lv2_kernel.self. Booting the DEX lv2_kernel.self will in effect, complete the set.

Enjoy.

~ Codename: REBUG

Credit and Thanks:

As always to graf and glevend for the hypervisor work.
Big thanks to Dean for the handy memory mapping tip and adding support for LV2 Loader into multiMAN at the last minute.




Stay tuned for more PS3 Hacks and PS3 CFW news, follow us on Twitter and be sure to drop by the PS3 Hacks and PS3 Custom Firmware Forums for the latest PlayStation 3 scene updates and homebrew releases!

Comments 364 Comments - Go to Forum Thread »

• Please Register at PS3News.com or Login to make comments on Site News articles. Thanks!

rudolfo's Avatar
#324 - rudolfo - 96w ago
Hi. I've been trying to download the update package for the 4.00 spoofer for the 3.41 OFM but all the links are down. Why as it been erased everywhere? Can someone help me out? Thanks

pinkone's Avatar
#323 - pinkone - 97w ago
Windows 7 Home Premium 64 just had to add it to windows firewall.

popshopadop's Avatar
#322 - popshopadop - 97w ago
32 or 64? i got an emulator using my old xp disk. i got it to work but now to figure out the 80710a06 error. i am searching it and getting the error from 1 year ago. so i'll be looking around here.

pinkone's Avatar
#321 - pinkone - 97w ago
Works fine on Windows 7 for me.

popshopadop's Avatar
#320 - popshopadop - 97w ago
well as far as i can tell fckpsn works only in windows xp and not windows 7. i just tried it on my old pc and it works. too bad it crashed my pc but thats what happens when you use a 7 year old pc.

Sponsored Links

Sponsored Links
Sponsored Links

Sponsored Links







Affiliates - Contact Us - PS3 Downloads - Privacy Statement - Site Rules - Top - © 2014 PlayStation 3 News